<?php

namespace Litecms\Page\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class PageTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_page_pages')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.page.page.view',
                'name'      => 'View Page',
            ],
            [
                'slug'      => 'litecms.page.page.create',
                'name'      => 'Create Page',
            ],
            [
                'slug'      => 'litecms.page.page.edit',
                'name'      => 'Update Page',
            ],
            [
                'slug'      => 'litecms.page.page.delete',
                'name'      => 'Delete Page',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/page/page',
                'name'        => 'Page',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/page/page',
                'name'        => 'Page',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'page',
                'name'        => 'Page',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Page',
                'module'    => 'Page',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.page.page.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
